
Ruby - Feature #14129

Feature Request:  sockets - add support for recvmmsg

11/24/2017 12:16 PM - IrlJidel (Donal Diamond)

Status: Open   

Priority: Normal   

Assignee:    

Target version:    

Description

Hi,

Are there any plans to add support for recvmmsg in sockets lib?

http://man7.org/linux/man-pages/man2/recvmmsg.2.html

recvmmsg - receive multiple messages on a socket

Thanks

Donal

History

#1 - 11/24/2017 12:17 PM - IrlJidel (Donal Diamond)

- Subject changed from Feature Request:  sockets - Add support for  to Feature Request:  sockets - add support for recvmmsg

Hi,

Are there any plans to add support for recvmmsg in sockets lib?

http://man7.org/linux/man-pages/man2/recvmmsg.2.html

recvmmsg - receive multiple messages on a socket

Thanks

Donal

#2 - 11/24/2017 06:26 PM - shevegen (Robert A. Heiler)

I can not answer the question, but I believe this should be filed at "Feature"

rather than "Bug". Normally the ruby core team enables functionality if it can

be for several Operating Systems, e. g. not solely confined to but a single

one. I am just mentioning this; I do not know if this is the case for

recvmmsg or not.

#3 - 11/25/2017 09:56 AM - nobu (Nobuyoshi Nakada)

- Tracker changed from Bug to Feature

- Description updated

- Backport deleted (2.3: UNKNOWN, 2.4: UNKNOWN)

#4 - 12/12/2017 08:35 AM - akr (Akira Tanaka)

Is it possible to implement recvmmsg using other (popular) system calls?
